com.amazonaws.services.machinelearning.model

## Class CreateMLModelResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.machinelearning.model.CreateMLModelResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class CreateMLModelResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a `CreateMLModel` operation, and is an acknowledgement that Amazon ML received the request.

The `CreateMLModel` operation is asynchronous. You can poll for status updates by using the `GetMLModel` operation and checking the `Status` parameter.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CreateMLModelResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateMLModelResult` `clone()`
`boolean` `equals(Object obj)`
`String` `getMLModelId()` A user-supplied ID that uniquely identifies the `MLModel`.
`int` `hashCode()`
`void` `setMLModelId(String mLModelId)` A user-supplied ID that uniquely identifies the `MLModel`.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateMLModelResult` `withMLModelId(String mLModelId)` A user-supplied ID that uniquely identifies the `MLModel`.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateMLModelResult

    public CreateMLModelResult()

### Method Detail

#### setMLModelId

    public void setMLModelId(String mLModelId)

A user-supplied ID that uniquely identifies the `MLModel`. This value should be identical to the value of the `MLModelId` in the request.

Parameters:
  `mLModelId` - A user-supplied ID that uniquely identifies the `MLModel`. This value should be identical to the value of the `MLModelId` in the request.

#### getMLModelId

    public String getMLModelId()

A user-supplied ID that uniquely identifies the `MLModel`. This value should be identical to the value of the `MLModelId` in the request.

Returns:
  A user-supplied ID that uniquely identifies the `MLModel`. This value should be identical to the value of the `MLModelId` in the request.

#### withMLModelId

    public CreateMLModelResult withMLModelId(String mLModelId)

A user-supplied ID that uniquely identifies the `MLModel`. This value should be identical to the value of the `MLModelId` in the request.

Parameters:
  `mLModelId` - A user-supplied ID that uniquely identifies the `MLModel`. This value should be identical to the value of the `MLModelId` in the request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateMLModelResult clone()

Overrides:
  `clone` in class `Object`